## org.eclipse.datatools.sqltools.result
Class XMLResultSetObject

    java.lang.Object
      org.eclipse.datatools.sqltools.result.XMLResultSetObject

All Implemented Interfaces:
  java.io.Serializable, IResultSetObject

    public class XMLResultSetObject

extends java.lang.Object
implements IResultSetObject

Represent an XML result set.

Author:
  Dafan Yang
See Also:
  Serialized Form

Constructor Summary
`XMLResultSetObject(java.lang.String xmlString)`

Method Summary
`void` `dispose()` Disposes resource after resultset is closed;
`java.util.Iterator` `getAllRecords()` Returns all result (In memory and file), each element's type should be `IResultSetRow`
`int` `getColumnCount()` Returns the column count
`int` `getColumnDisplaySize(int index)` Returns column display size at the given column (based on 1 --- follows the JDBC convention)
`int[]` `getColumnDisplaySizes()` Returns display size of all columns
`java.lang.String` `getColumnName(int index)` Returns the column name at given index (based on 1 --- follows the JDBC convention)
`java.lang.String[]` `getColumnNames()` Returns the column names
`int` `getColumnSQLType(int index)` Returns column SQL data type at the given column (based on 1 --- follows the JDBC convention)
`int[]` `getColumnSQLTypes()` Returns column SQL types.
`java.util.Iterator` `getDisplayRecords()` Returns the records to display (Loaded in memory), each element's type should be `IResultSetRow`
`int` `getRowCount()` Returns number of rows in result (Loaded in memory)
`IResultSetRow` `getRowData(int row)` Returns row data of given row index (based on 0)
`int` `getTotalRowCount()` Returns total row count (Include cached rows)
`boolean` `isAllResultLoaded()` Checks if some result rows are stored into a temporary file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLResultSetObject

    public XMLResultSetObject(java.lang.String xmlString)

Method Detail

### getColumnCount

    public int getColumnCount()

  Description copied from interface: `IResultSetObject`
  Returns the column count

  Specified by:
    `getColumnCount` in interface `IResultSetObject`
  Returns:
    column count

### getColumnNames

    public java.lang.String[] getColumnNames()

  Description copied from interface: `IResultSetObject`
  Returns the column names

  Specified by:
    `getColumnNames` in interface `IResultSetObject`
  Returns:
    column names

### getColumnName

    public java.lang.String getColumnName(int index)

  Description copied from interface: `IResultSetObject`
  Returns the column name at given index (based on 1 --- follows the JDBC convention)

  Specified by:
    `getColumnName` in interface `IResultSetObject`
  Parameters:
    `index` - the column index
  Returns:
    column name

### getColumnDisplaySizes

    public int[] getColumnDisplaySizes()

  Description copied from interface: `IResultSetObject`
  Returns display size of all columns

  Specified by:
    `getColumnDisplaySizes` in interface `IResultSetObject`
  Returns:
    columns display sizes

### getColumnDisplaySize

    public int getColumnDisplaySize(int index)

  Description copied from interface: `IResultSetObject`
  Returns column display size at the given column (based on 1 --- follows the JDBC convention)

  Specified by:
    `getColumnDisplaySize` in interface `IResultSetObject`
  Returns:
    column display size

### getColumnSQLTypes

    public int[] getColumnSQLTypes()

  Description copied from interface: `IResultSetObject`
  Returns column SQL types.

  Specified by:
    `getColumnSQLTypes` in interface `IResultSetObject`
  Returns:
    column types

### getColumnSQLType

    public int getColumnSQLType(int index)

  Description copied from interface: `IResultSetObject`
  Returns column SQL data type at the given column (based on 1 --- follows the JDBC convention)

  Specified by:
    `getColumnSQLType` in interface `IResultSetObject`
  Parameters:
    `index` - column index
  Returns:
    column type

### getRowCount

    public int getRowCount()

  Description copied from interface: `IResultSetObject`
  Returns number of rows in result (Loaded in memory)

  Specified by:
    `getRowCount` in interface `IResultSetObject`
  Returns:
    row count

### getTotalRowCount

    public int getTotalRowCount()

  Description copied from interface: `IResultSetObject`
  Returns total row count (Include cached rows)

  Specified by:
    `getTotalRowCount` in interface `IResultSetObject`
  Returns:
    total row count

### getRowData

    public IResultSetRow getRowData(int row)

  Description copied from interface: `IResultSetObject`
  Returns row data of given row index (based on 0)

  Specified by:
    `getRowData` in interface `IResultSetObject`
  Parameters:
    `row` - the row index
  Returns:
    the row data at the given row index

### getAllRecords

    public java.util.Iterator getAllRecords()

  Description copied from interface: `IResultSetObject`
  Returns all result (In memory and file), each element's type should be `IResultSetRow`

  Specified by:
    `getAllRecords` in interface `IResultSetObject`
  Returns:
    an `Iterator` instance over all records
  See Also:
    `IResultSetRow`

### getDisplayRecords

    public java.util.Iterator getDisplayRecords()

  Description copied from interface: `IResultSetObject`
  Returns the records to display (Loaded in memory), each element's type should be `IResultSetRow`

  Specified by:
    `getDisplayRecords` in interface `IResultSetObject`
  Returns:
    an `Iterator` instance over all display record
  See Also:
    `IResultSetRow`

### isAllResultLoaded

    public boolean isAllResultLoaded()

  Description copied from interface: `IResultSetObject`
  Checks if some result rows are stored into a temporary file

  Specified by:
    `isAllResultLoaded` in interface `IResultSetObject`
  Returns:
    `true` if there are no cached rows

### dispose

    public void dispose()

  Description copied from interface: `IResultSetObject`
  Disposes resource after resultset is closed;

  Specified by:
    `dispose` in interface `IResultSetObject`